/* Small Devices, Tablets */
@media only screen and (max-width : 768px) {
  /* hide/ show full html filters */
  div#edit-field-abstract-0-format,
  div#edit-field-section-0-subform-field-section-body-0-format{
    display: none;
  }
  /* css for taxonoy email register form */
  form#taxonomy div{
        width: 100%;
  }
  form#taxonomy input, form#taxonomy button, form#taxonomy select, form#taxonomy textarea{
      width: 100%;
  }
  /* change button color */
  .btn, input[type="submit"] {
      background: #da2a1c;
  }

  /* Search button css for mobile */
  div#block-exposedformsearchpage-1-2 form#views-exposed-form-search-page-1 input#edit-search-api-fulltext{
      width: 100%;
      margin-top: -23px;
      height: 40px;
      right: 0;
  }

  /* Sidebar changes */
  .col-md-3.sidebar-first {
      display: none;
  }
  .col-md-3.sidebar-first.open {
      display: block;
      min-height: auto !important;
  }
  /* menu display on mobile 
  .region.region-primary-menu {
      display: block !important;
      height: auto !important;
  }*/ 

  /* table css for user */
  table.user-display-table {
      min-width: 100%;
      width: 100%;
  }


  /* footer changes */
  .cmi-footer .privacy{
      margin-top: 25px;
  }
  .cmi-footer .copyright p a{
      margin-left: 0;
  }

  /* css for contact us webform */
  form#webform-submission-contact-add-form>div {
      float: none !important;
      margin: 0 !important;
  }
  form#webform-submission-contact-add-form div input {
      width: 100% !important;
      max-width: 100% !important;
  }
  form#webform-submission-contact-add-form input#edit-actions-submit {
      margin-top: 1em;
  }

  /* homepage css for mobile */
  div#block-views-block-current-user-block-2{
        margin-top: 0px !important;
        margin-bottom: 1em;
  }
  div#block-featuredsection, div#block-featuredsection1{
    width: 100% !important;
    margin: 0 !important;
  }
  .search-block-form, div#block-exposedformsearchpage-1{
    max-width: 100% !important;
    width: 90%;
  }
  /*div#block-exposedformsearchpage-1 .form-item-search-api-fulltext {
    width: 88%;
    float: left !important;
    margin-top: 1em !important;
  }*/
  div#block-exposedformsearchpage-1 input#edit-search-api-fulltext{
    border-radius: 0;
  }
  ul.quicktabs-tabs li{
    min-width: auto !important;
    width: 33%;
  }
  div#block-quicktabscategorylandingpagetab {
    margin-top: 1em;
  }
  table.directory-table {
    max-width: 100%;
  }
  table.directory-table td{
    min-width: 25% !important;
    float: left;
  }
  a.site_slogan{
        font-size: 0.6em !important;
        font-weight: 900;
        width: auto;
  }

  /* css for inner pages */
  .taxonomy-vocabulary-view table{
    margin-right: 0% !important;
    margin-top: 4% !important;
  }
  /*.taxonomy-vocabulary-view h3 {
    width: 25% !important;
    height: 325px !important;
    margin-top: 3%;
  }*/
  .taxonomy-vocabulary-view table tbody td{
    padding-left: 5px;
  }

  /* css for category filter pages */
  form#filter-form {
    display: inline-block;
    margin-top: 3em;
    width: 100%;
  }
  form#filter-form select {
    /* min-width: 150px; */
    margin: 0 !important;
    width: 100% !important;
  }
  form#filter-form div {
    margin: 0px;
    padding-top: 5px;
  }
  form#filter-form label{
    margin-right: 0;
    margin-bottom: 0;
  }
  form#filter-form div#edit-actions, form#filter-form div#edit-actions--2{
    display: table;
    margin: 0 !important;
    margin-top: 15px !important;
  }

  /* css for inner pages */
  .bookmark.vote.share {
    margin-top: 0 !important;
    position: relative !important;
    /* float: left !important;
    left: 0 !important; */
  }

  /* css for hamberger color and display for mobile and ipad */
  .navbar-default .navbar-toggle .icon-bar {
    background-color: #f4f5f7;
  }
  .navbar-toggle{
      display: block !important;
      position: relative;
  }

  /* css for tabs allignment -- filter , add ,edit pages */
  nav.tabs{
    margin-left: 0;
    margin-top: 2em;
  }
  .csv-feed.views-data-export-feed{
        top: 5px !important;
  }

  /* css for table for mobile device */
  form#topic-report table,
  form#contribution-report table,
  table.cols-5 {
    margin: auto;
    min-width: 300px;
    max-width: 100%;
    border-collapse: collapse;
  }

  form#topic-report table tr:first-child,
  form#contribution-report table tr:first-child,
  table.cols-5 tr:first-child {
    border-top: none;
    color: #000;
  }

  form#topic-report table tr,
  form#contribution-report table tr,
  table.cols-5 tr {
    border-top: 1px solid #ddd;
    border-bottom: 1px solid #ddd;
    background-color: #f5f9fc;
  }

  form#topic-report table tr:nth-child(odd),
  form#contribution-report table tr:nth-child(odd),
  table.cols-5 tr:nth-child(odd) {
    background-color: #ebf3f9;
  }

  form#topic-report table th,
  form#contribution-report table th,
  table.cols-5 th {
    display: none;
  }

  form#topic-report table td,
  form#contribution-report table td,
  table.cols-5 td {
    display: block;
  }

  form#topic-report table td:first-child,
  form#contribution-report table td:first-child,
  table.cols-5 td:first-child {
    margin-top: .5em;
  }

  form#topic-report table td:last-child,
  form#contribution-report table td:last-child,
  table.cols-5 td:last-child {
    margin-bottom: 2em;
  }

  form#topic-report table td:before,
  form#contribution-report table td:before,
  table.cols-5 td::before {
    content: attr(data-th) ": ";
    font-weight: bold;
    width: 120px;
    display: inline-block;
    color: #000;
  }

  form#topic-report table th,
  form#topic-report table td,
  form#contribution-report table td,
  form#contribution-report table th,
  table.cols-5 th,
  table.cols-5 td {
    text-align: left;
  }

  form#topic-report table,
  form#contribution-report table,
  table.cols-5 {
    color: #333;
    border-radius: .4em;
    overflow: hidden;
    width: 100%;
  }

  form#topic-report table tr,
  form#contribution-report table tr,
  table.cols-5 tr {
    border-color: #bfbfbf;
  }

  form#topic-report table th,
  form#topic-report table td,
  form#contribution-report table th,
  form#contribution-report table td,
  table.cols-5 th,
  table.cols-5 td {
    padding: .5em 1em;
  }
}
@media screen and (max-width: 601px) {
  form#topic-report table tr:nth-child(2),
  form#contribution-report table tr:nth-child(2),
  table.cols-5 tr:nth-child(2) {
    border-top: none;
  }
}
@media screen and (min-width: 600px) {
  form#topic-report table tr:hover:not(:first-child),
  form#contribution-report table tr:hover:not(:first-child),
  table.cols-5 tr:hover:not(:first-child) {
    background-color: #d8e7f3;
  }
  form#topic-report table td:before,
  form#contribution-report table td:before,
  table.cols-5 td::before {
    display: none;
  }
  form#topic-report table th,
  form#topic-report table td,
  form#contribution-report table th,
  form#contribution-report table td,
  table.cols-5 th,
  table.cols-5 td {
    display: table-cell;
    padding: .25em .5em;
  }
  form#topic-report table th:first-child,
  form#topic-report table td:first-child,
  form#contribution-report table th:first-child,
  form#contribution-report table td:first-child,
  table.cols-5 th:first-child,
  table.cols-5 td:first-child{
    padding-left: 0;
  }
  form#topic-report table th:last-child,
  form#topic-report table td:last-child,
  form#contribution-report table th:last-child,
  form#contribution-report table td:last-child,
  table.cols-5 th:first-child,
  table.cols-5 td:first-child{
    padding-right: 0;
  }
  form#topic-report table th,
  form#topic-report table td,
  form#contribution-report table th,
  form#contribution-report table td,
  table.cols-5 th,
  table.cols-5 td
  {
    padding: 1em !important;
  }
}

@media only screen and (min-width : 768px) and (max-width : 991px) {
  .navbar-header {
      float: left !important;
      /* width: 100% !important; */
      position: absolute !important;
      height: 60px !important;
      z-index: 123;
  }
  
  .col-md-3.sidebar-first {
      display: none;
  }
  .col-md-3.sidebar-first.open {
      display: block;
      min-height: auto !important;
  }
  .region-primary-menu{
      margin-right: 60px;
  }
  .navbar-default .navbar-toggle .icon-bar{
    background-color: #f4f5f7;
  }
}

@media all and (device-width: 768px) and (device-height: 1024px) and (orientation:portrait) {
  .navbar-header {
      float: left !important;
      /* width: 100% !important; */
      position: absolute !important;
      height: 60px !important;
      z-index: 123;
  }
  /*.region.region-primary-menu div#block-views-block-current-user-block-1{
    margin-right: 60px;
  }*/
  div#block-views-block-current-user-block-1 .views-field.views-field-name {
    z-index: 999;
    height: 45px;
  }
  .navbar-toggle{
    display: block !important;
    position: absolute !important;
    right: -330%
  }
  a.site_slogan{
        width: 300px;
        font-size: 0.75em !important;
  }
}
